Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157190 - g++4 compiler emits warning for construct in .../bits/locale_facets.tcc:1115
Summary: g++4 compiler emits warning for construct in .../bits/locale_facets.tcc:1115
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 164807
TreeView+ depends on / blocked
 
Reported: 2005-05-09 06:45 UTC by roebel
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 3.4.4-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-05 08:45:16 UTC


Attachments (Terms of Use)

Description roebel 2005-05-09 06:45:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
compiling with ostream and -Wall emits the following warning for a construct 
within the system headers: 
 
/usr/include/c++/3.4.3/bits/locale_facets.tcc:1115: warning: suggest 
parentheses around assignment used as truth value 

Version-Release number of selected component (if applicable):
gcc4-c++-4.0.0-0.41.fc3


How reproducible:
Always

Steps to Reproduce:
1. compile c++ source file using ostream include file 
2. use -Wall flag when compiling 
3. 
   

Actual Results:  compiler emits warning  

Expected Results:  compiler should be happy with the system headers. 

Additional info:

Comment 1 Jakub Jelinek 2005-05-27 15:23:27 UTC
Should be fixed in gcc-3.4.4-1.


Note You need to log in before you can comment on or make changes to this bug.